## Index

### Variables

- disabled

### Functions

- attach
- changeVis
- createChangeVis
- createSetOption
- createTransform
- setOption
- transform

## Variables

### disabled

disabled: object

- Defined in multiform.ts:10

#### Type declaration

## Functions

### attach

- attach(graph: ProvenanceGraph, v: IObjectRef<IVisInstance>): void

- - Defined in multiform.ts:89

  #### Parameters

  - ##### graph: ProvenanceGraph

  - ##### v: IObjectRef<IVisInstance>

  #### Returns void

### changeVis

- changeVis(inputs: IObjectRef<any>[], parameter: any): Promise

- - Defined in multiform.ts:37

  #### Parameters

  - ##### inputs: IObjectRef<any>[]

  - ##### parameter: any

  #### Returns Promise

### createChangeVis

- createChangeVis(v: IObjectRef<IMultiForm>, to: string, from?: string): object

- - Defined in multiform.ts:49

  #### Parameters

  - ##### v: IObjectRef<IMultiForm>

  - ##### to: string

  - ##### Default value from: string = null

  #### Returns object

  - ##### f: changeVis

  - ##### id: string

  - ##### inputs: Array<IObjectRef<IMultiForm>>

  - ##### meta: ActionMetaData

  - ##### parameter: object

    - ##### from: string

    - ##### to: string

### createSetOption

- createSetOption(v: IObjectRef<IVisInstance>, name: string, value: any, old?: any): object

- - Defined in multiform.ts:75

  #### Parameters

  - ##### v: IObjectRef<IVisInstance>

  - ##### name: string

  - ##### value: any

  - ##### Default value old: any = null

  #### Returns object

  - ##### f: setOption

  - ##### id: string

  - ##### inputs: Array<IObjectRef<IVisInstance>>

  - ##### meta: ActionMetaData

  - ##### parameter: object

    - ##### name: string

    - ##### old: any

    - ##### value: any

### createTransform

- createTransform(v: IObjectRef<IVisInstance>, t: ITransform, old?: ITransform): object

- - Defined in multiform.ts:24

  #### Parameters

  - ##### v: IObjectRef<IVisInstance>

  - ##### t: ITransform

  - ##### Default value old: ITransform = null

  #### Returns object

  - ##### f: transform

  - ##### id: string

  - ##### inputs: Array<IObjectRef<IVisInstance>>

  - ##### meta: ActionMetaData

  - ##### parameter: object

    - ##### old: ITransform

    - ##### transform: ITransform

### setOption

- setOption(inputs: IObjectRef<any>[], parameter: any): ICmdResult

- - Defined in multiform.ts:62

  #### Parameters

  - ##### inputs: IObjectRef<any>[]

  - ##### parameter: any

  #### Returns ICmdResult

### transform

- transform(inputs: IObjectRef<any>[], parameter: any): ICmdResult

- - Defined in multiform.ts:12

  #### Parameters

  - ##### inputs: IObjectRef<any>[]

  - ##### parameter: any

  #### Returns ICmdResult

Generated using TypeDoc